
Ruby - Bug #9329

./configure --enable-shared --enable-relocatable && make fails

12/31/2013 11:12 AM - postmodern (Hal Brodigan)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: trunk Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN,

2.1: DONE

Description

Steps to Reproduce:

$ ./configure --enable-shared --enable-relocatable

$ make

Actual Result:

compiling ./enc/encdb.c

linking encoding encdb.so

/usr/bin/ld: cannot find -l-lpthread

collect2: error: ld returned 1 exit status

Associated revisions

Revision 2bca263569cba745ffee0856487f993a8a5b5624 - 12/31/2013 06:44 AM - nobu (Nobuyoshi Nakada)

mkmf.rb: expand RUBY_SO_NAME

lib/mkmf.rb (RbConfig): expand RUBY_SO_NAME for extensions

backward compatibility.  [ruby-core:59426] [Bug #9329]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44469 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2bca2635 - 12/31/2013 06:44 AM - nobu (Nobuyoshi Nakada)

mkmf.rb: expand RUBY_SO_NAME

lib/mkmf.rb (RbConfig): expand RUBY_SO_NAME for extensions

backward compatibility.  [ruby-core:59426] [Bug #9329]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@44469 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 562f916fbdeb163c57992a9131409d938a5061fe - 02/21/2014 02:14 PM - naruse (Yui NARUSE)

merge revision(s) 44469: [Backport #9329]

    * lib/mkmf.rb (RbConfig): expand RUBY_SO_NAME for extensions

      backward compatibility.  [ruby-core:59426] [Bug #9329]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@45082 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 562f916f - 02/21/2014 02:14 PM - naruse (Yui NARUSE)

merge revision(s) 44469: [Backport #9329]

    * lib/mkmf.rb (RbConfig): expand RUBY_SO_NAME for extensions

      backward compatibility.  [ruby-core:59426] [Bug #9329]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@45082 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/31/2013 11:15 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback
What's your platform?

#2 - 12/31/2013 11:16 AM - nobu (Nobuyoshi Nakada)

Not --enable-relocatable, --enable-load-relative.

#3 - 12/31/2013 11:36 AM - postmodern (Hal Brodigan)

I can reproduce this with ./configure --enable-shared. My platform is Fedora Linux 19 x86-64.

#4 - 12/31/2013 12:31 PM - phasis68 (Heesob Park)

I can reproduce this with Ubuntu 9.04 also.

Here is a patch:

diff --git a/enc/Makefile.in b/enc/Makefile.in

index a64785d..378f4a5 100644

--- a/enc/Makefile.in

+++ b/enc/Makefile.in

@@ -28,6 +28,7 @@ BUILTIN_ENCS = ascii.c us_ascii.c

BUILTIN_TRANSES = newline.trans

RUBY_SO_NAME = @RUBY_SO_NAME@

+RUBY_BASE_NAME = @RUBY_BASE_NAME@

LIBRUBY = @LIBRUBY@

LIBRUBYARG_SHARED = @LIBRUBYARG_SHARED@

LIBRUBYARG_STATIC = $(LIBRUBYARG_SHARED)

#5 - 12/31/2013 03:45 PM - nobu (Nobuyoshi Nakada)

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r44469.

Hal, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

mkmf.rb: expand RUBY_SO_NAME

lib/mkmf.rb (RbConfig): expand RUBY_SO_NAME for extensions

backward compatibility.  [ruby-core:59426] [Bug #9329]

#6 - 02/05/2014 03:55 AM - usa (Usaku NAKAMURA)

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN to 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: REQUIRED

#7 - 02/21/2014 02:14 PM - naruse (Yui NARUSE)

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: REQUIRED to 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: DONE

r45082.
